From: "Piotr Karbowski" <slashbeast@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-p2p/nicotine+/
Date: Thu, 10 Dec 2020 22:23:51 +0000 (UTC) [thread overview]
Message-ID: <1607638995.0b1d212e2082ca3da53e78e063a0d9fdfebcc60c.slashbeast@gentoo> (raw)
commit: 0b1d212e2082ca3da53e78e063a0d9fdfebcc60c
Author: Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
AuthorDate: Thu Dec 10 22:20:48 2020 +0000
Commit: Piotr Karbowski <slashbeast <AT> gentoo <DOT> org>
CommitDate: Thu Dec 10 22:23:15 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0b1d212e
net-p2p/nicotine+: 2.2.0 version bump
Signed-off-by: Piotr Karbowski <slashbeast <AT> gentoo.org>
net-p2p/nicotine+/Manifest | 1 +
net-p2p/nicotine+/nicotine+-2.2.0.ebuild | 43 ++++++++++++++++++++++++++++++++
2 files changed, 44 insertions(+)
diff --git a/net-p2p/nicotine+/Manifest b/net-p2p/nicotine+/Manifest
index e23909a1f9b..9783919d1e0 100644
--- a/net-p2p/nicotine+/Manifest
+++ b/net-p2p/nicotine+/Manifest
@@ -1,2 +1,3 @@
DIST nicotine+-2.0.1.tar.gz 5140065 BLAKE2B 01af7eb58ea6800c17042ef73b9caa8b3d5712e33226486e648fee824c0d0934440ee51f659199a5276f6a460005df89359b282b09aa07941c70e29bddc97a26 SHA512 0a16c0c289a4f4d54eba773ad40952baadf73333ea4a6b4a4524cc500d007f6de0bdd7a847e3f68978a3247c9bc4a6eab3b77db34605fda79da34c352e89a1b9
DIST nicotine+-2.1.2.tar.gz 5091941 BLAKE2B 2fcfcc25645a194e1161502c1836d075732a833e1cca1f16cb939e960371c9a656c0044427ca381e8fb3d76de139af1f495b3c5ff208fe931571cfbe5ab0d219 SHA512 dc5ae656cb24efdd252475eefa63d471e44f9652650ca834acb358c195337c46c07ef5da873419d66235a8fbb3d2e290347aa47416c0017bea54423b485225c9
+DIST nicotine+-2.2.0.tar.gz 3382047 BLAKE2B 64e83aee32f16ff8fcd298a4f876eca1903a37879918bdf3d1e4684d17b1815caf991ffc0264273fb3b84ab77a300382050039b3c5977a38d1e94ba060f7b58e SHA512 1a3aa24fe09564dbd2cd454e081eb5198279a968a4ab8df0b7f42ea1da63b24ac28ea4000fabf4cf00c6b37d4395b927321d27c1502de3447001285d0c942439
diff --git a/net-p2p/nicotine+/nicotine+-2.2.0.ebuild b/net-p2p/nicotine+/nicotine+-2.2.0.ebuild
new file mode 100644
index 00000000000..96b50ea7f31
--- /dev/null
+++ b/net-p2p/nicotine+/nicotine+-2.2.0.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7,8,9} )
+
+inherit distutils-r1 xdg-utils
+
+DESCRIPTION="A fork of nicotine, a Soulseek client in Python"
+HOMEPAGE="https://github.com/Nicotine-Plus/nicotine-plus"
+SRC_URI="https://github.com/Nicotine-Plus/nicotine-plus/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3 LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+DEPEND="${PYTHON_DEPS}"
+RDEPEND="
+ dev-python/pygobject:3[${PYTHON_USEDEP}]
+ dev-python/pytaglib[${PYTHON_USEDEP}]
+ media-libs/mutagen[${PYTHON_USEDEP}]
+ x11-libs/gtk+:3[introspection]
+ ${DEPEND}
+"
+
+DEPEND="${RDEPEND}"
+
+S="${WORKDIR}/nicotine-plus-${PV}"
+
+src_install() {
+ distutils-r1_src_install
+ mv "${ED}/usr/share/doc/nicotine" "${ED}/usr/share/doc/${PF}" || die
+}
+
+pkg_postinst() {
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_icon_cache_update
+}
next reply other threads:[~2020-12-10 22:23 UTC|newest]
Thread overview: 81+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-12-10 22:23 Piotr Karbowski [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-25 13:48 [gentoo-commits] repo/gentoo:master commit in: net-p2p/nicotine+/ Sam James
2025-04-24 23:54 Sam James
2025-01-07 21:05 Sam James
2024-12-17 20:18 Joonas Niilola
2024-12-17 20:18 Joonas Niilola
2024-11-23 16:20 Michał Górny
2024-10-21 12:36 Joonas Niilola
2024-09-25 11:55 Joonas Niilola
2024-09-23 15:31 Joonas Niilola
2024-07-22 5:43 Joonas Niilola
2024-07-20 6:42 Joonas Niilola
2024-07-20 6:42 Joonas Niilola
2024-06-07 13:15 Joonas Niilola
2024-06-07 13:15 Joonas Niilola
2024-06-07 13:15 Joonas Niilola
2024-06-02 18:57 Arthur Zamarin
2024-06-02 18:57 Arthur Zamarin
2024-06-02 14:47 Sam James
2024-05-31 13:16 Joonas Niilola
2023-09-19 17:48 Arthur Zamarin
2023-08-09 18:14 Piotr Karbowski
2023-07-26 3:33 Sam James
2023-05-05 10:24 Arthur Zamarin
2023-05-02 15:21 Arthur Zamarin
2023-05-02 15:21 Arthur Zamarin
2023-03-29 20:51 Piotr Karbowski
2023-03-29 20:51 Piotr Karbowski
2023-02-21 17:13 Arthur Zamarin
2023-02-21 17:13 Arthur Zamarin
2023-02-19 11:27 Arthur Zamarin
2023-01-08 21:30 Piotr Karbowski
2022-12-09 22:15 Arthur Zamarin
2022-12-09 21:55 Arthur Zamarin
2022-10-23 14:15 Piotr Karbowski
2022-10-19 19:51 Piotr Karbowski
2022-10-19 19:51 Piotr Karbowski
2022-07-05 2:05 Sam James
2022-06-15 7:16 Agostino Sarubbo
2022-06-14 7:10 Agostino Sarubbo
2022-06-07 19:19 Piotr Karbowski
2022-06-07 6:03 Sam James
2022-06-05 7:09 Agostino Sarubbo
2022-06-05 7:06 Agostino Sarubbo
2022-06-04 19:48 Piotr Karbowski
2022-03-06 23:36 Piotr Karbowski
2022-01-21 20:17 Arthur Zamarin
2022-01-21 12:40 Sam James
2022-01-21 12:40 Sam James
2022-01-02 0:04 Sam James
2022-01-02 0:04 Sam James
2022-01-01 11:07 Sam James
2021-12-19 20:42 Piotr Karbowski
2021-12-19 20:42 Piotr Karbowski
2021-09-27 21:18 Piotr Karbowski
2021-06-08 19:16 Piotr Karbowski
2021-04-08 21:02 Piotr Karbowski
2021-03-12 15:30 Sam James
2021-03-12 15:28 Sam James
2021-03-12 15:25 Sam James
2021-03-11 20:34 Piotr Karbowski
2021-02-05 12:31 Sam James
2021-02-05 10:40 Sam James
2021-01-06 10:07 Piotr Karbowski
2020-12-18 10:14 Sergei Trofimovich
2020-11-25 22:30 Piotr Karbowski
2020-10-07 7:09 Agostino Sarubbo
2020-10-07 6:50 Agostino Sarubbo
2020-10-07 6:42 Agostino Sarubbo
2020-10-04 18:01 Piotr Karbowski
2020-07-19 11:43 Piotr Karbowski
2020-07-19 11:27 Piotr Karbowski
2020-07-19 11:27 Piotr Karbowski
2020-07-19 11:27 Piotr Karbowski
2020-02-09 16:47 Michał Górny
2019-01-12 10:59 Pacho Ramos
2019-01-12 10:59 Pacho Ramos
2018-04-16 17:52 Jason Donenfeld
2018-03-10 12:23 Pacho Ramos
2017-01-15 11:20 Pacho Ramos
2016-09-13 1:55 Ryan Hill
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1607638995.0b1d212e2082ca3da53e78e063a0d9fdfebcc60c.slashbeast@gentoo \
--to=slashbeast@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox